{
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "key": {
    "A": {
      "item": "minecraft:iron_block"
    },
    "B": {
      "item": "minecraft:string"
    },
    "C": {
      "tag": "minecraft:stone_crafting_materials"
    },
    "D": {
      "item": "minecraft:stick"
    },
    "E": {
      "tag": "minecraft:logs"
    }
  },
  "pattern": [
    "  A",
    "BA ",
    "CDE"
  ],
  "result": {
    "item": "blasttravelreborn:cannon"
  },
  "show_notification": true
}